List the ids of matching customers
GET
/customers/ids
const url = 'https://example.com/customers/ids?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true&kind=commercial';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/customers/ids?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true&kind=commercial' \ --cookie bottle.session_token=<bottle.session_token>Every match for the same filters as GET /customers, in the same order, up to 5000, with the full count: for selecting all of them across pages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Ids
Media typeapplication/json
object
ids
required
Array<string>
total
required
integer
Example
{ "ids": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member of that tenant
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}